# complete.hh File Reference

Testing and building complete automata. More...

Include dependency graph for complete.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename AI >
void | complete_here (Element< A, AI > &a)
| Make the transition function of an automaton total w.r.t.
template<typename A , typename AI >
Element< A, AI > | complete (const Element< A, AI > &a)
| Make the transition function of an automaton total w.r.t.
template<typename A , typename AI >
bool | is_complete (const Element< A, AI > &a)
| Test whether an automaton is complete.

## Detailed Description

Testing and building complete automata.

See is_complete() for the definition of a complete automaton.

See also:
  complete(), complete_here(), is_complete()

Definition in file complete.hh.